
package de.ivu.elect.business.personenpruefung.boundary.dubletten;

import java.util.Collection;

import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.person.entity.VerknuepfungsGrundlage;
import de.ivu.elect.business.person.entity.VerknuepfungsStatus;
import de.ivu.elect.jee.presentation.search.AbstractSearchParameters;

@Named
@GroupedConversationScoped
@ConversationGroup(DublettenSearchParameters.class)
public class DublettenSearchParameters extends AbstractSearchParameters {

  private static final long serialVersionUID = 1L;

  private Collection<VerknuepfungsGrundlage> verknuepfungsGrundlage;

  private Collection<VerknuepfungsStatus> verknuepfungsStatus;

  public DublettenSearchParameters() {
    super();
  }

  public Collection<VerknuepfungsGrundlage> getVerknuepfungsGrundlage() {
    return verknuepfungsGrundlage;
  }

  public void setVerknuepfungsGrundlage(Collection<VerknuepfungsGrundlage> verknuepfungsGrundlage) {
    this.verknuepfungsGrundlage = verknuepfungsGrundlage;
  }

  public Collection<VerknuepfungsStatus> getVerknuepfungsStatus() {
    return verknuepfungsStatus;
  }

  public void setVerknuepfungsStatus(Collection<VerknuepfungsStatus> verknuepfungsStatus) {
    this.verknuepfungsStatus = verknuepfungsStatus;
  }
}
